### Class

# FwupdPlugin EfiHardDriveDevicePath

#### Description [src]

    final class FwupdPlugin.EfiHardDriveDevicePath : FwupdPlugin.EfiDevicePath
      implements Fwupd.Codec {
      /* No available fields */
    }

See also: `FuEfiDevicePath`.

#### Ancestors

- FuEfiDevicePath
- FuFirmware
- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_efi_hard_drive_device_path_new

Creates a new EFI `DEVICE_PATH`.

since: 1.9.3

###### fu_efi_hard_drive_device_path_new_from_volume

Creates a new EFI `DEVICE_PATH` for a specific volume.

since: 1.9.3

#### Functions

###### fu_efi_hard_drive_device_path_partition_format_from_string

Converts a string to an enumerated value.

###### fu_efi_hard_drive_device_path_partition_format_to_string

Converts an enumerated value to a string.

###### fu_efi_hard_drive_device_path_signature_type_from_string

Converts a string to an enumerated value.

###### fu_efi_hard_drive_device_path_signature_type_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_efi_hard_drive_device_path_compare

Compares two EFI HardDrive `DEVICE_PATH`s.

since: 2.0.0

###### fu_efi_hard_drive_device_path_get_partition_number

Gets the DP partition number.

since: 2.0.0

###### fu_efi_hard_drive_device_path_get_partition_signature

Gets the DP partition signature.

since: 2.0.0

###### fu_efi_hard_drive_device_path_get_partition_size

Gets the DP partition size.

since: 2.0.0

###### fu_efi_hard_drive_device_path_get_partition_start

Gets the DP partition start.

since: 2.0.0

##### Methods inherited from FuEfiDevicePath (2)

###### fu_efi_device_path_get_subtype

Gets the DEVICE_PATH subtype.

since: 1.9.3

###### fu_efi_device_path_set_subtype

Sets the DEVICE_PATH subtype.

since: 1.9.3

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginEfiHardDriveDevicePathClass {
      FuEfiDevicePathClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuEfiDevicePathClass`

  No description available.